""" 
RC Controller Code wirtten by Mark Martens Sept. 2011

Hardware used: Analog Thumbsticks + BattR15 + Syanpse-FTDI Adapter Kit + Syanpse Wireless RF100 module
"""

# Use Synapse Evaluation Board definitions
from synapse.evalBase import *

otherNodeAddr = "\x00\x92\x3B"      # <= put the address of the Brutusbot-side node here

@setHook(HOOK_STARTUP)
def startupEvent():
    """This is hooked into the HOOK_STARTUP event"""
    
def readController():

    """ This function will read our controller positions """
    global leftAxisLR,leftAxisUD,rightAxisLR,rightAxisUD
    leftAxisUD = readAdc(2)
    leftAxisLR = readAdc(3)
    rightAxisUD = readAdc(1)
    rightAxisLR = readAdc(0)
   
    if leftAxisUD < 475:
        rpc(otherNodeAddr,'leftRev')
        print("LeftRev")
    elif (leftAxisUD > 575):
        rpc(otherNodeAddr,'leftFwd')
        print("LeftFwd")
    else:
        rpc(otherNodeAddr,'LeftStop')
        print("LeftStop")
    #End of our else

    if rightAxisUD < 475:
        rpc(otherNodeAddr,'rightRev')
        print("rightRev")
    elif rightAxisUD > 575:
        rpc(otherNodeAddr,'rightFwd')
        print("rightFwd")
    else:
        rpc(otherNodeAddr,'rightStop')
        print("rightStop")
    #End of our else
    


@setHook(HOOK_100MS)
def timer100msEvent(msTick):
    """Hooked into the HOOK_100MS event"""
    readController();
    
